---
title: "/buckets/{bucketId}"
url: "https://developers.rest.rodeo/apis/storage/versions/8415f51a-292b-4046-b795-bc13ea7a48cf/operations/getBucket"
---

> Full API specification: https://developers.rest.rodeo/apis/storage/versions/8415f51a-292b-4046-b795-bc13ea7a48cf.md

# /buckets/{bucketId}

`GET` `/buckets/{bucketId}`

Operation ID: `getBucket`

Returns a single bucket by id.

## Path parameters

- `bucketId` (string, uuid, required) - The bucket id.

## Responses

- `200` - The bucket
- `401` - Missing or invalid bearer token
- `404` - No bucket with this id
- `405` - Method not allowed

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Storage API
  version: 1.0.0
servers:
  - url: https://api.rest.rodeo/storage/api/v1
    description: Production
paths:
  /buckets/{bucketId}:
    get:
      operationId: getBucket
      summary: /buckets/{bucketId}
      description: Returns a single bucket by id.
      parameters:
        - $ref: "#/components/parameters/BucketId"
      responses:
        "200":
          description: The bucket
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Bucket"
              examples:
                bucket:
                  value:
                    id: 5a1c2c7e-0c6f-4e58-b3e3-c6a2d1f1a9e4
                    name: project-files
        "401":
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: No bucket with this id
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "405":
          description: Method not allowed
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
security:
  - bearerAuth: []
components:
  parameters:
    BucketId:
      name: bucketId
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: The bucket id.
  schemas:
    Bucket:
      type: object
      required:
        - id
        - name
      additionalProperties: false
      properties:
        id:
          type: string
          format: uuid
          description: The bucket id.
        name:
          type: string
          description: The bucket name.
          maxLength: 256
    Error:
      type: object
      required:
        - error
      additionalProperties: false
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
```
